Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.TableOfContentsConfig Class Reference

## Public Member Functions
| TableOfContentsConfig ()
| Constructor.
| TableOfContentsConfig (String title, Int32Array bookmark_level_array, boolean is_show_serial_number, boolean include_toc_pages)
| Constructor, with parameter. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Int32Array | getBookmark_level_array ()
| Get a bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". More...
boolean | getInclude_toc_pages ()
| Get true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents. More...
boolean | getIs_show_serial_number ()
| Get true means to show the serial number in the table of contents, while false means not to show the serial number. More...
String | getTitle ()
| Get title for the table of contents. More...
void | set (String title, Int32Array bookmark_level_array, boolean is_show_serial_number, boolean include_toc_pages)
| Set value. More...
void | setBookmark_level_array (Int32Array value)
| Set a bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". More...
void | setInclude_toc_pages (boolean value)
| Set true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents. More...
void | setIs_show_serial_number (boolean value)
| Set true means to show the serial number in the table of contents, while false means not to show the serial number. More...
void | setTitle (String value)
| Set title for the table of contents. More...

## Detailed Description

This class represents the table of contents configuration.

## Constructor & Destructor Documentation

## ◆ TableOfContentsConfig()

com.foxit.sdk.pdf.TableOfContentsConfig.TableOfContentsConfig | ( | String | title,
|  | Int32Array | bookmark_level_array,
|  | boolean | is_show_serial_number,
|  | boolean | include_toc_pages
| ) |  |

Constructor, with parameter.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TableOfContentsConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBookmark_level_array()

com.foxit.sdk.pdf.TableOfContentsConfig.getBookmark_level_array | ( |  | ) |

Get a bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".

Returns
  A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function PDFDoc.getBookmarkLevelDepth . If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".

## ◆ getInclude_toc_pages()

com.foxit.sdk.pdf.TableOfContentsConfig.getInclude_toc_pages | ( |  | ) |

Get true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

Returns
  true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

## ◆ getIs_show_serial_number()

com.foxit.sdk.pdf.TableOfContentsConfig.getIs_show_serial_number | ( |  | ) |

Get true means to show the serial number in the table of contents, while false means not to show the serial number.

Returns
  true means to show the serial number in the table of contents, while false means not to show the serial number.

## ◆ getTitle()

com.foxit.sdk.pdf.TableOfContentsConfig.getTitle | ( |  | ) |

Get title for the table of contents.

Returns
  Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

## ◆ set()

void com.foxit.sdk.pdf.TableOfContentsConfig.set | ( | String | title,
|  | Int32Array | bookmark_level_array,
|  | boolean | is_show_serial_number,
|  | boolean | include_toc_pages
| ) |  |

Set value.

Parameters

  [in] | title | Title for the table of contents.
  [in] | bookmark_level_array | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".
  [in] | is_show_serial_number | true means to show the serial number in the table of contents, while false means not to show the serial number.
  [in] | include_toc_pages | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

@ return None.

## ◆ setBookmark_level_array()

com.foxit.sdk.pdf.TableOfContentsConfig.setBookmark_level_array | ( | Int32Array | value | ) |

Set a bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents".

Parameters

  [in] | value | A bookmark level array which is used to specify bookmarks to be used to generate "Table of Contents". For each element in input array, valid range : from 1 to(depth). depth is returned by function PDFDoc.getBookmarkLevelDepth . If input array is an empty array, that means all bookmarks are used to generate "Table of Contents".

Returns
  None.

## ◆ setInclude_toc_pages()

com.foxit.sdk.pdf.TableOfContentsConfig.setInclude_toc_pages | ( | boolean | value | ) |

Set true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

Parameters

  [in] | value | true means to include catalog page(s) in the calculation of pages number in the table of contents, while false means to exclude catalog page(s) from the calculation of pages number in the table of contents.

Returns
  None.

## ◆ setIs_show_serial_number()

com.foxit.sdk.pdf.TableOfContentsConfig.setIs_show_serial_number | ( | boolean | value | ) |

Set true means to show the serial number in the table of contents, while false means not to show the serial number.

Parameters

  [in] | value | true means to show the serial number in the table of contents, while false means not to show the serial number.

Returns
  None.

## ◆ setTitle()

com.foxit.sdk.pdf.TableOfContentsConfig.setTitle | ( | String | value | ) |

Set title for the table of contents.

Parameters

  [in] | value | Title for the table of contents. If this is an empty string, the default value "Table of Contents" will be used.

Returns
  None.